import gradio as gr
from transformers import pipeline, AutoTokenizer, AutoConfig, AutoModelForSequenceClassification

modelName="papluca/xlm-roberta-base-language-detection"
sentimentPipeline = pipeline("sentiment-analysis", modelName)

def sentiment_analysis(text):
    results = sentimentPipeline(text)
    return results
    #return f"Sentiment: {results[0].get('label')}, Score: {results[0].get('score'):.2f}" 
    
demo = gr.Interface(fn=sentiment_analysis, 
                    inputs='text', 
                    outputs='text',
                    title = "语种分类"
                    )


if __name__ == "__main__":
    demo.queue(concurrency_count=3)
    demo.launch(server_name = "0.0.0.0", server_port = 7028)
